Ubuntu 12.04, Sunab's SVN PPA, Partial Upgrade?

Hi Sunab or anyone else who can help. I count on my kdenlive running because I have an active youtube channel and I love using kdenlive to make my videos. Today my update manager informed me I had an update, I opened it up and it stated that I could do a partial upgrade. My past experiences with partial upgrades have not been good (in the past I have experienced dependency hell) so I am leary about performing this update.

I took a screenshot of what it will attempt to upgrade. Basically it's only going to upgrade the following;
FROM: 0.8.9+git20130413.3d1f9695-0ubuntu0~sunab~precise1
TO: 0.8.9+git20130429.7d5e839b-0ubuntu0~sunab~precise1

Previous updates to sunab's components within his PPA have just updated and they were never "partial upgrades" so I am curious why this update is different. If anyone could explain and assure me it's safe to upgrade I'd appreciate it. I do realize that this is the SVN PPA so it's not preferred for stable environments because it's bleeding edge but I have never had issues with this SVN PPA of sunab's before. Thanks

https://lh4.googleusercontent.com/-i7jyfu8c13Y/UYEKJgb433I/AAAAAAAABww/L...

I reckon you have answered your own question
"in the past I have experienced dependency hell"

So I would not do it.

You could try the daily builds instead - which build a quarantined version of kdenlive in a local folder.

I guess I am wondering why this update is only a partial when I have updated using sunab's SVN PPA in the past it never was a partial. It did it's thing and kdenlive fired right up. I am certainly going to wait till I receive a message stating there's an upgrade and NOT just a partial upgrade but was wondering why sunab only updated "some" of the component's of the SVN kdenlive version and not all of them

Ubuntu 13.04 is out, I'm getting repeated Partial Upgrade reminders perhaps its not sunabs PPA that's doing it for you?

Otherwise perhaps its just MLT that had bug fixes, kdenlive commits to the git branch are few as jbm is refactoring in another branch I think and git is just odd fixes once in a while.

i am curious if there will be a way to undo a partial upgrade because it's still informing me about it. i don't want to go to 13.04, i stick with LTS releases of Ubuntu personally. It only wants to upgrade libmlt-data, specifically 0.8.9+git20130429.7d5e839b-0ubuntu0~sunab~precise1

here's a screengrab https://lh3.googleusercontent.com/-baHm8n7lAxY/UYR7IB2eIbI/AAAAAAAABxU/R...

i'm having the same problem, in my case it seems to be that libmlt is upgrading from version 5 to 6 but kdenlive is still depending on version 5. the best thing is probably just to wait for the next update and hope that fixes it.

I'm having the same problem over here too, on Kubuntu 12.10, quantal. Mlt has been upgraded to 6, but the kdenlive dependencies are now broken.

These sort of problems are why I stopped using the 'unstable' release via a PPA, which is what it is, no complaints, instead building git via the build script BUT also keeping sunab's 'Stable' release PPA as system kdenlive version. Best of both worlds. :-)

Dive0 sunab's 'Release' PPA is still on MLT 0.8.8 (libmlt5) rather than 'Unstable' PPA on 0.8.9 which changed to libmlt6 on the 29th April, perhaps the 'stable' PPA would resolve your problem.

i am going to switch over to the stable kdenlive PPA instead of using the SVN PPA. Hopefully that fixes the dependency hell. Hopefully sunab will chime in sooner than later.

UPDATE: switching to sunab's kdenlive-release PPA has resolved the dependency hell. I basically first switched PPA's in synaptic, then I removed everything related to kdenlive, melt, mlt, and the fei0r-plugin, then I updated synaptic, then I choose to install kdenlive and everything is working again. It's only version 0.9.6 but that's better than nothing

Yellow, I temporarily switched to the precompiled kdenlive tarballs. The 64bit Ubuntu tarballs appears to work on my system. So I will keep this until the sunab bleeding edge issue is resolved.

Eww ... unfortunately, the daily build has some issues with mlt corrupting video output, at least for the x264. It seems to sometime mess up its own effects and composition pipeline...

To me, it looks as if mlt 0.8.9 is immature yet: a lot of rendering crashes and if rendering succeeds then there are many corrupted frames, regardless of whether I'm rendering to webm or H.264. Also, sound corruption galore, with the final sound being repeated till the end of the video, so I have to add a muted sound clip in order to get around this noisy bug.

In the end, I have up on the nightlies and installed the latest kdenlive stable since I had to finish my video.

I'm really starting to think about shelling out the money for a commercial video editor as mlt seems to be in a really bad state, barely usable.

Pages